import '../primitives/location.dart';
import 'calculator.dart';

class VelocityCal extends Calculator<Location, double> {
  VelocityCal(Location ref) : super(ref);

  @override
  void calculate() {
    if (ref.feature == null) return;
    final viewport = ref.feature!.hostVisualArea!.viewport!;
    final layout = ref.feature!.hostVisualArea!.displayRegion;
    final point = ref.feature!.point.clone();
    point.addOffset(-layout.left, -layout.top);
    // final physicalPoint = viewport.physical!.convert(point);
    final physicalPoint = viewport.convert(point);
    final coordinateOffset = viewport.region;
    final value = -physicalPoint.y + coordinateOffset.top;
    updateFloatValue(value);
  }
}
