import 'package:fis_measure/interfaces/process/items/item.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/painting.dart';

import 'item_feature.dart';
import 'top_item.dart';

abstract class TopMeasureItemFeature extends MeasureItemFeature {
  TopMeasureItemFeature(ITopMeasureItem refItem) : super(refItem);

  @override
  TopMeasureItem get refItem => super.refItem as TopMeasureItem;

  @override
  void paint(Canvas canvas, Size size) {
    for (var item in refItem.childItems) {
      for (var feature in item.measuredFeatures) {
        feature.paint(canvas, size);
      }
      item.feature?.paint(canvas, size);
    }
  }
}
