import 'package:fis_measure/interfaces/process/player/play_controller.dart';
import 'package:fis_measure/interfaces/process/workspace/application.dart';
import 'package:fis_measure/view/player/controller.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../player/control_board/control_board.dart';

class MeasurePausePanel extends StatefulWidget {
  const MeasurePausePanel({
    Key? key,
  }) : super(key: key);

  @override
  State<StatefulWidget> createState() => _MeasurePausePanelState();
}

class _MeasurePausePanelState extends State<MeasurePausePanel> {
  final application = Get.find<IApplication>();
  late final playerController = Get.find<IPlayerController>();
  double get devicePixelRatio => MediaQuery.of(context).devicePixelRatio;
  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return _buildVidPlayerBoard();
  }

  Widget _buildVidPlayerBoard() {
    if ((playerController as VidPlayerController).totalFramesCount > 1) {
      return SizedBox(
        height: 90 / devicePixelRatio,
        child: VidPlayerControlBoard(
          playerController as VidPlayerController,
        ),
      );
    } else {
      return Container();
    }
  }
}
